Bug 133971 - RHEL3 U3 kernel oops when running 2.4.21-20.6
RHEL3 U3 kernel oops when running 2.4.21-20.6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 14:56 EDT by Juanjo Villaplana
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 15:56:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
There is a copy of the comments and attachments (from Bug #122077) that apply to this new bug. (1.61 KB, text/plain)
2004-09-28 15:04 EDT, Juanjo Villaplana
no flags Details

  None (edit)
Description Juanjo Villaplana 2004-09-28 14:56:33 EDT
Description of problem:

This bug was initially documented in Comment #62 of Bug #122077 and,
as requested by Ernie Petrides I opened this new bug for it.

Version-Release number of selected component (if applicable):

2.4.21-20.6 (supplied by Larry Woodman).

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Juanjo Villaplana 2004-09-28 15:04:45 EDT
Created attachment 104455 [details]
There is a copy of the comments and attachments (from Bug #122077) that apply to this new bug.

Additional Comment #62 From Juanjo Villaplana (villapla@si.uji.es)  on
2004-09-20 16:57 -------

Server 2 (dl580) panic #1 with kernel 2.4.21-20.6.EL

Hi Larry,

After 36 hours of uptime with kernel 2.4.21-20.6 we have got the attached panic

on server 2.

We have switched to 2.4.21-15.0.4.dq.

Regards,
	    Juanjo


------- Additional Comment #63 From Ernie Petrides (petrides@redhat.com) on
2004-09-20 19:16 -------

Hello, Juanjo.	Please open up a new bugzilla for the oops you just
documented in comment #62.  This bug has already been used to track
two separate problems (one fixed in U3, and the other committed to U4).

Thanks.

(Note to Larry: the changes you made to do_try_to_free_pages() were
 originally committed to -20.6.EL, and later updated in -20.7.EL, but
 I don't know whether this might be related to this latest kscand oops.)


------- Additional Comment #64 From Larry Woodman (lwoodman@redhat.com) on
2004-09-21 10:19 -------

Juanjo, I already fixed this panic.  Please grab the the approriate
kernel from here and rerun the test ASAP:

>>>http://people.redhat.com/~lwoodman/.RHEL3/


Thanks, Larry
Comment 2 Juanjo Villaplana 2004-09-28 15:10:42 EDT
Hi Larry,

Sorry for the delay in replying, I have been in vacation for a few days.

I have tried to download the new kernel, but it seems that the
contents of this directory has changed, the only rpm that applies to
us is kernel-2.4.21-20.12.EL.src.rpm ... should we rebuild this kernel
and try it?

Best regards,
                  Juanjo
Comment 3 Larry Woodman 2004-11-29 14:29:27 EST
Juanjo, I already fixed this panic.  Please grab the the approriate
kernel from here and rerun the test ASAP:

>>>http://people.redhat.com/~lwoodman/RHEL3/


Thanks, Larry

Comment 4 Juanjo Villaplana 2004-12-01 06:22:05 EST
Hi Larry,

The server has been running fine with 2.4.21-25.EL (from RHEL3 U4
Beta) for the last 14 days.

The kernel you have made available is 2.4.21-26.EL and (according to
its changelog) the only change between -25.EL and -26.EL is:

* Tue Nov 16 2004 Ernie Petrides <petrides@redhat.com> kernel-2.4.21-26.EL

- fix yet another binfmt_elf loader vulnerability (Dave Anderson)

So I guess 2.4.21-25.EL already contains the fix for this panic and we
are currently testing it, please let me know if this is not true.

Regards,
          Juanjo
Comment 6 Larry Woodman 2004-12-01 09:53:48 EST
Juanjo, yes the fix to the panic you were seeing was already in kernel
2.4.21-25.EL.

Larry
Comment 7 Ernie Petrides 2004-12-02 21:38:17 EST
The fix for this problem was committed to the RHEL3 U4 patch pool
on 17-Sep-2004 (in kernel version 2.4.21-20.7.EL).
Comment 8 John Flanagan 2004-12-20 15:56:43 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html

Note You need to log in before you can comment on or make changes to this bug.